Index: trunk/data/class/pages/admin/products/LC_Page_Admin_Products.php
===================================================================
--- trunk/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 17834)
+++ trunk/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 18562)
@@ -164,5 +164,5 @@
 
                     switch ($key) {
-                        case 'search_product_id':	// 商品ID
+                        case 'search_product_id': // 商品ID
                             $where .= " AND product_id = ?";
                             $view_where .= " AND product_id = ?";
@@ -179,10 +179,10 @@
                             $view_where = $where;
                             break;
-                        case 'search_name':			// 商品名
+                        case 'search_name': // 商品名
                             $where .= " AND name ILIKE ?";
                             $view_where .= " AND name ILIKE ?";
                             $arrval[] = "%$val%";
                             break;
-                        case 'search_category_id':	// カテゴリー
+                        case 'search_category_id': // カテゴリー
                             list($tmp_where, $tmp_arrval) = $objDb->sfGetCatWhere($val);
                             if($tmp_where != "") {
@@ -192,15 +192,15 @@
                             }
                             break;
-                        case 'search_product_code':	// 商品コード
+                        case 'search_product_code': // 商品コード
                             $where .= " AND product_id IN (SELECT product_id FROM dtb_products_class WHERE product_code ILIKE ? GROUP BY product_id)";
                             $view_where .= " AND EXISTS (SELECT product_id FROM dtb_products_class as cls WHERE cls.product_code ILIKE ? AND dtb_products.product_id = cls.product_id GROUP BY cls.product_id )";
                             $arrval[] = "%$val%";
                             break;
-                        case 'search_startyear':	// 登録更新日（FROM）
+                        case 'search_startyear': // 登録更新日（FROM）
                             $date = SC_Utils_Ex::sfGetTimestamp($_POST['search_startyear'], $_POST['search_startmonth'], $_POST['search_startday']);
                             $where.= " AND update_date >= '" . $_POST['search_startyear'] . "/" . $_POST['search_startmonth']. "/" .$_POST['search_startday'] . "'";
                             $view_where.= " AND update_date >= '" . $_POST['search_startyear'] . "/" . $_POST['search_startmonth']. "/" .$_POST['search_startday'] . "'";
                             break;
-                        case 'search_endyear':		// 登録更新日（TO）
+                        case 'search_endyear': // 登録更新日（TO）
                             $date = SC_Utils_Ex::sfGetTimestamp($_POST['search_endyear'], $_POST['search_endmonth'], $_POST['search_endday']);
                             $date = date('Y/m/d', strtotime($date) + 86400);
@@ -208,5 +208,5 @@
                             $view_where.= " AND update_date < date('" . $date . "')";
                             break;
-                        case 'search_product_flag':	//種別
+                        case 'search_product_flag': //種別
                             global $arrSTATUS;
                             $search_product_flag = SC_Utils_Ex::sfSearchCheckBoxes($val);
@@ -217,5 +217,5 @@
                             }
                             break;
-                        case 'search_status':		// ステータス
+                        case 'search_status': // ステータス
                             $tmp_where = "";
                             foreach ($val as $element){
@@ -244,88 +244,67 @@
 
                 switch($_POST['mode']) {
-                case 'csv':
-
-                    require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_CSV_Ex.php");
-
-                    $objCSV = new SC_Helper_CSV_Ex();
-                    // オプションの指定
-                    $option = "ORDER BY $order";
-                    // CSV出力タイトル行の作成
-                    $arrOutput = SC_Utils_Ex::sfSwapArray($objCSV->sfgetCsvOutput(1, " WHERE csv_id = 1 AND status = 1"));
-
-                    if (count($arrOutput) <= 0) break;
-
-                    $arrOutputCols = $arrOutput['col'];
-                    $arrOutputTitle = $arrOutput['disp_name'];
-
-                    $head = SC_Utils_Ex::sfGetCSVList($arrOutputTitle);
-
-                    $data = $objCSV->lfGetProductsCSV($where, $option, $arrval, $arrOutputCols);
-
-                    // CSVを送信する。
-                    SC_Utils_Ex::sfCSVDownload($head.$data);
-                    exit;
-                    break;
-                case 'delete_all':
-                    // 検索結果の取得
-                    $col = "product_id";
-                    $from = "vw_products_nonclass AS noncls ";
-                    $arrProducts = $objQuery->select($col, $from, $where, $arrval);
-                    // 検索結果をすべて削除
-                    $sqlval['del_flg'] = 1;
-                    $where = "product_id = ?";
-                    if (count($arrProducts) > 0) {
-                        foreach ($arrProducts as $key => $val) {
-                            $objQuery->update("dtb_products", $sqlval, $where, array($arrProducts[$key]["product_id"]));
+                    case 'csv':
+                        require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_CSV_Ex.php");
+
+                        $objCSV = new SC_Helper_CSV_Ex();
+
+                        // CSVを送信する。正常終了の場合、終了。
+                        $objCSV->sfDownloadProductsCsv($where, $arrval, $order) && exit;
+
+                        break;
+                    case 'delete_all':
+                        // 検索結果をすべて削除
+                        $where = "product_id IN (SELECT product_id FROM vw_products_allclass_detail AS alldtl WHERE $where)";
+                        $sqlval['del_flg'] = 1;
+                        $objQuery->update("dtb_products", $sqlval, $where, $arrval);
+                        $objQuery->delete("dtb_customer_favorite_products", $where, $arrval);
+                        break;
+                    default:
+                        // 読み込む列とテーブルの指定
+                        $col = "product_id, name, main_list_image, status, product_code_min, product_code_max, price02_min, price02_max, stock_min, stock_max, stock_unlimited_min, stock_unlimited_max, update_date";
+                        $from = "vw_products_allclass_detail AS alldtl ";
+
+                        // 行数の取得
+                        $linemax = $objQuery->count("dtb_products", $view_where, $arrval);
+                        $this->tpl_linemax = $linemax; // 何件が該当しました。表示用
+
+                        // ページ送りの処理
+                        if(is_numeric($_POST['search_page_max'])) {
+                            $page_max = $_POST['search_page_max'];
+                        } else {
+                            $page_max = SEARCH_PMAX;
                         }
-                    }
-                    break;
-                default:
-                    // 読み込む列とテーブルの指定
-                    $col = "product_id, name, category_id, main_list_image, status, product_code, price01, price02, stock, stock_unlimited";
-                    $from = "vw_products_nonclass AS noncls ";
-
-                    // 行数の取得
-                    $linemax = $objQuery->count("dtb_products", $view_where, $arrval);
-                    $this->tpl_linemax = $linemax;				// 何件が該当しました。表示用
-
-                    // ページ送りの処理
-                    if(is_numeric($_POST['search_page_max'])) {
-                        $page_max = $_POST['search_page_max'];
-                    } else {
-                        $page_max = SEARCH_PMAX;
-                    }
-
-                    // ページ送りの取得
-                    $objNavi = new SC_PageNavi($this->arrHidden['search_pageno'], $linemax, $page_max, "fnNaviSearchPage", NAVI_PMAX);
-                    $startno = $objNavi->start_row;
-                    $this->arrPagenavi = $objNavi->arrPagenavi;
-
-                    //キャンペーン商品検索時は、全結果の商品IDを変数に格納する
-                    if(isset($_POST['search_mode']) && $_POST['search_mode'] == 'campaign') {
-                        $arrRet = $objQuery->select($col, $from, $where, $arrval);
-                        if(count($arrRet) > 0) {
-                            $arrRet = sfSwapArray($arrRet);
-                            $pid = implode("-", $arrRet['product_id']);
-                            $this->arrHidden['campaign_product_id'] = $pid;
+
+                        // ページ送りの取得
+                        $objNavi = new SC_PageNavi($this->arrHidden['search_pageno'], $linemax, $page_max, "fnNaviSearchPage", NAVI_PMAX);
+                        $startno = $objNavi->start_row;
+                        $this->arrPagenavi = $objNavi->arrPagenavi;
+
+                        //キャンペーン商品検索時は、全結果の商品IDを変数に格納する
+                        if(isset($_POST['search_mode']) && $_POST['search_mode'] == 'campaign') {
+                            $arrRet = $objQuery->select($col, $from, $where, $arrval);
+                            if(count($arrRet) > 0) {
+                                $arrRet = sfSwapArray($arrRet);
+                                $pid = implode("-", $arrRet['product_id']);
+                                $this->arrHidden['campaign_product_id'] = $pid;
+                            }
                         }
-                    }
-
-                    // 取得範囲の指定(開始行番号、行数のセット)
-                    //                    if(DB_TYPE != "mysql") $objQuery->setlimitoffset($page_max, $startno);
-                    $objQuery->setlimitoffset($page_max, $startno);
-                    // 表示順序
-                    $objQuery->setorder($order);
-
-                    // 検索結果の取得
-                    $this->arrProducts = $objQuery->select($col, $from, $where, $arrval);
-
-                    // 各商品ごとのカテゴリIDを取得
-                    if (count($this->arrProducts) > 0) {
-                        foreach ($this->arrProducts as $key => $val) {
-                            $this->arrProducts[$key]["categories"] = $objDb->sfGetCategoryId($val["product_id"]);
-                            $objDb->g_category_on = false;
+
+                        // 取得範囲の指定(開始行番号、行数のセット)
+                        //                    if(DB_TYPE != "mysql") $objQuery->setlimitoffset($page_max, $startno);
+                        $objQuery->setlimitoffset($page_max, $startno);
+                        // 表示順序
+                        $objQuery->setorder($order);
+
+                        // 検索結果の取得
+                        $this->arrProducts = $objQuery->select($col, $from, $where, $arrval);
+
+                        // 各商品ごとのカテゴリIDを取得
+                        if (count($this->arrProducts) > 0) {
+                            foreach ($this->arrProducts as $key => $val) {
+                                $this->arrProducts[$key]["categories"] = $objDb->sfGetCategoryId($val["product_id"]);
+                                $objDb->g_category_on = false;
+                            }
                         }
-                    }
                 }
             }
@@ -354,9 +333,9 @@
         global $objPage;
         /*
-         *	文字列の変換
-         *	K :  「半角(ﾊﾝｶｸ)片仮名」を「全角片仮名」に変換
-         *	C :  「全角ひら仮名」を「全角かた仮名」に変換
-         *	V :  濁点付きの文字を一文字に変換。"K","H"と共に使用します
-         *	n :  「全角」数字を「半角(ﾊﾝｶｸ)」に変換
+         * 文字列の変換
+         * K :  「半角(ﾊﾝｶｸ)片仮名」を「全角片仮名」に変換
+         * C :  「全角ひら仮名」を「全角かた仮名」に変換
+         * V :  濁点付きの文字を一文字に変換。"K","H"と共に使用します
+         * n :  「全角」数字を「半角(ﾊﾝｶｸ)」に変換
          */
         $arrConvList['search_name'] = "KVa";
Index: trunk/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php
===================================================================
--- trunk/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 18007)
+++ trunk/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 18562)
@@ -90,5 +90,5 @@
             $arrErr['csv_file'] = $this->objUpFile->makeTempFile('csv_file');
 
-            if($arrErr['css_file'] == "") {
+            if($arrErr['csv_file'] == "") {
                 $arrErr = $this->objUpFile->checkEXISTS();
             }
@@ -109,9 +109,14 @@
                 $enc_filepath = SC_Utils_Ex::sfEncodeFile($filepath,
                                                           CHAR_CODE, CSV_TEMP_DIR);
+                $fp = fopen($enc_filepath, "r");
+
+                // 無効なファイルポインタが渡された場合はエラー表示
+                if ($fp === false) {
+                    SC_Utils_Ex::sfDispError("");
+                }
 
                 // レコード数を得る
-                $rec_count = $this->lfCSVRecordCount($enc_filepath);
-
-                $fp = fopen($enc_filepath, "r");
+                $rec_count = $this->lfCSVRecordCount($fp);
+
                 $line = 0;      // 行数
                 $regist = 0;    // 登録数
@@ -490,17 +495,20 @@
      * CSVのカウント数を得る.
      *
-     * @param string $file_name ファイルパス
+     * @param resource $fp fopenを使用して作成したファイルポインタ
      * @return integer CSV のカウント数
      */
-    function lfCSVRecordCount($file_name) {
+    function lfCSVRecordCount($fp) {
 
         $count = 0;
-        $fp = fopen($file_name, "r");
         while(!feof($fp)) {
             $arrCSV = fgetcsv($fp, CSV_LINE_MAX);
             $count++;
         }
-
-        return $count-1;
+        // ファイルポインタを戻す
+        if (rewind($fp)) {
+            return $count-1;
+        } else {
+            SC_Utils_Ex::sfDispError("");
+        }
     }
 
Index: trunk/data/class/pages/cart/LC_Page_Cart.php
===================================================================
--- trunk/data/class/pages/cart/LC_Page_Cart.php	(revision 17653)
+++ trunk/data/class/pages/cart/LC_Page_Cart.php	(revision 18562)
@@ -72,5 +72,5 @@
 
         $objView = new SC_SiteView(false);
-        $objCartSess = new SC_CartSession("", false);
+        $objCartSess = new SC_CartSession();
         $objSiteSess = new SC_SiteSession();
         $objCampaignSess = new SC_CampaignSession();
@@ -191,5 +191,5 @@
 
         $objView = new SC_MobileView(false);
-        $objCartSess = new SC_CartSession("", false);
+        $objCartSess = new SC_CartSession();
         $objSiteSess = new SC_SiteSession();
         $objSiteInfo = $objView->objSiteInfo;
Index: trunk/data/class/pages/contact/LC_Page_Contact.php
===================================================================
--- trunk/data/class/pages/contact/LC_Page_Contact.php	(revision 17041)
+++ trunk/data/class/pages/contact/LC_Page_Contact.php	(revision 18562)
@@ -87,4 +87,5 @@
                                      array(  "column" => "addr02",		"convert" => "aKV" ),
                                      array(  "column" => "email",		"convert" => "a" ),
+                                     array(  "column" => "email02",		"convert" => "a" ),
                                      array(  "column" => "tel01",		"convert" => "n" ),
                                      array(  "column" => "tel02",		"convert" => "n" ),
@@ -108,6 +109,6 @@
                 $this->tpl_title = 'お問い合わせ(確認ページ)';
             } else {
-                foreach ($this->arrForm as $key => $val){
-                    $this->$key = $val;
+                foreach ($arrConvertColumn as $key) {
+                    $this->$key['column'] = $this->arrForm[$key['column']];
                 }
             }
@@ -115,6 +116,6 @@
 
             case 'return':
-            foreach ($_POST as $key => $val){
-                $this->$key = $val;
+                foreach ($arrConvertColumn as $key) {
+                    $this->$key['column'] = $_POST[$key['column']];
                 }
             break;
Index: trunk/data/class/pages/regist/LC_Page_Regist.php
===================================================================
--- trunk/data/class/pages/regist/LC_Page_Regist.php	(revision 18432)
+++ trunk/data/class/pages/regist/LC_Page_Regist.php	(revision 18562)
@@ -79,5 +79,5 @@
             if ($this->arrErr) {
                 SC_Utils_Ex::sfDispSiteError(FREE_ERROR_MSG, "", true, $this->arrErr["id"]);
-            
+
             } else {
                 $registSecretKey = $this->lfRegistData($_GET);			//本会員登録（フラグ変更）
@@ -186,7 +186,7 @@
         $where = "secret_key = ? AND status = 1";
 
-        $arrRet = $objQuery->select("point", "dtb_customer", $where, array($array["id"]));
-        // 会員登録時の加算ポイント(購入時会員登録の場合は、ポイント加算）
-        $arrRegist['point'] = $arrRet[0]['point'] + $this->arrInfo['welcome_point'];
+        // 会員登録時の加算ポイント(購入時会員登録かつ仮会員登録専用）
+        //$arrRet = $objQuery->select("point", "dtb_customer", $where, array($array["id"]));
+        //$arrRegist['point'] = $arrRet[0]['point'] + $this->arrInfo['welcome_point'];
 
         $objQuery->update("dtb_customer", $arrRegist, $where, array($array["id"]));
Index: trunk/data/class/pages/entry/LC_Page_Entry.php
===================================================================
--- trunk/data/class/pages/entry/LC_Page_Entry.php	(revision 18007)
+++ trunk/data/class/pages/entry/LC_Page_Entry.php	(revision 18562)
@@ -168,6 +168,6 @@
 
             if ($this->arrErr || $_POST["mode"] == "return") {		// 入力エラーのチェック
-                foreach($this->arrForm as $key => $val) {
-                    $this->$key = $val;
+                foreach($arrRegistColumn as $key) {
+                    $this->$key['column'] = $this->arrForm[$key['column']];
                 }
 
@@ -382,6 +382,6 @@
             }
 
-            foreach($this->arrForm as $key => $val) {
-                $this->$key = $val;
+            foreach($arrRegistColumn as $key) {
+                $this->$key['column'] = $this->arrForm[$key['column']];
             }
 
Index: trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php
===================================================================
--- trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php	(revision 17344)
+++ trunk/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php	(revision 18562)
@@ -64,5 +64,6 @@
             // 文字サイズを制限する
             foreach($arrRet as $key => $val) {
-                $arrRet[$key] = SC_Utils_Ex::sfCutString($val, SEARCH_CATEGORY_LEN, false);
+                $str = SC_Utils_Ex::sfCutString($val, SEARCH_CATEGORY_LEN, false);
+                $arrRet[$key] = preg_replace('/　/', "&nbsp;", $str);
             }
         }
Index: trunk/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- trunk/data/class/pages/products/LC_Page_Products_Detail.php	(revision 18432)
+++ trunk/data/class/pages/products/LC_Page_Products_Detail.php	(revision 18562)
@@ -222,10 +222,4 @@
         $this->arrProductCode = $arrProductCode["product_code"];
 
-        // 購入制限数を取得
-        if($this->arrProduct['sale_unlimited'] == 1 || $this->arrProduct['sale_limit'] > SALE_LIMIT_MAX) {
-          $this->tpl_sale_limit = SALE_LIMIT_MAX;
-        } else {
-          $this->tpl_sale_limit = $this->arrProduct['sale_limit'];
-        }
         // サブタイトルを取得
         $arrCategory_id = $objDb->sfGetCategoryId($arrRet[0]['product_id'],'',$status);
@@ -445,11 +439,4 @@
         $arrProductCode = SC_Utils_Ex::sfswaparray($arrProductCode);
         $this->arrProductCode = $arrProductCode["product_code"];
-
-        // 購入制限数を取得
-        if($this->arrProduct['sale_unlimited'] == 1 || $this->arrProduct['sale_limit'] > SALE_LIMIT_MAX) {
-            $this->tpl_sale_limit = SALE_LIMIT_MAX;
-        } else {
-            $this->tpl_sale_limit = $this->arrProduct['sale_limit'];
-        }
 
         // サブタイトルを取得
Index: trunk/data/class/pages/products/LC_Page_Products_DetailImage.php
===================================================================
--- trunk/data/class/pages/products/LC_Page_Products_DetailImage.php	(revision 17698)
+++ trunk/data/class/pages/products/LC_Page_Products_DetailImage.php	(revision 18562)
@@ -54,5 +54,5 @@
     function process() {
         $objView = new SC_SiteView();
-        $objCartSess = new SC_CartSession("", false);
+        $objCartSess = new SC_CartSession();
         $objDb = new SC_Helper_DB_Ex();
 
Index: trunk/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- trunk/data/class/pages/products/LC_Page_Products_List.php	(revision 18432)
+++ trunk/data/class/pages/products/LC_Page_Products_List.php	(revision 18562)
@@ -478,4 +478,7 @@
         if (is_array($arrProduct_id) && !empty($arrProduct_id)) {
             $where .= ' AND product_id IN (' . implode(',', $arrProduct_id) . ')';
+        } else {
+            // 一致させない
+            $where .= ' AND 0<>0';
         }
 
@@ -542,6 +545,4 @@
             for($i = 0; $i < count($this->arrProducts); $i++) {
                 $this->lfMakeSelect($this->arrProducts[$i]['product_id'], $arrClassName, $arrClassCatName);
-                // 購入制限数を取得
-                $this->lfGetSaleLimit($this->arrProducts[$i]);
             }
         }
@@ -716,14 +717,4 @@
     }
 
-    // 購入制限数の設定
-    function lfGetSaleLimit($product) {
-        //在庫が無限または購入制限値が設定値より大きい場合
-        if($product['sale_unlimited'] == 1 || $product['sale_limit'] > SALE_LIMIT_MAX) {
-            $this->tpl_sale_limit[$product['product_id']] = SALE_LIMIT_MAX;
-        } else {
-            $this->tpl_sale_limit[$product['product_id']] = $product['sale_limit'];
-        }
-    }
-
     //支払方法の取得
     //payment_id    1:代金引換　2:銀行振り込み　3:現金書留
Index: trunk/data/class/SC_Initial.php
===================================================================
--- trunk/data/class/SC_Initial.php	(revision 18432)
+++ trunk/data/class/SC_Initial.php	(revision 18562)
@@ -38,5 +38,5 @@
 
         /** EC-CUBEのバージョン */
-        define('ECCUBE_VERSION', "2.4.2");
+        define('ECCUBE_VERSION', "2.4.3");
     }
 
Index: trunk/data/mtb_constants_init.php
===================================================================
--- trunk/data/mtb_constants_init.php	(revision 18177)
+++ trunk/data/mtb_constants_init.php	(revision 18562)
@@ -334,5 +334,5 @@
 /** 商品サブ情報最大数 */
 define('PRODUCTSUB_MAX', 5);
-/** 配送時間の最大表示数 */
+/** お届け時間の最大表示数 */
 define('DELIVTIME_MAX', 16);
 /** 配送料金の最大表示数 */
@@ -443,5 +443,5 @@
 /** カートトップ */
 define('URL_CART_TOP', URL_DIR . "cart/index.php");
-/** 配送時間設定 */
+/** お届け時間設定 */
 define('URL_DELIV_TOP', URL_DIR . "shopping/deliv.php");
 /** Myページトップ */
@@ -503,5 +503,5 @@
 /** ベスト商品の最小登録数（登録数が満たない場合は表示しない。) */
 define('BEST_MIN', 3);
-/** 配達可能な日付以降のプルダウン表示最大日数 */
+/** お届け可能な日付以降のプルダウン表示最大日数 */
 define('DELIV_DATE_END_MAX', 21);
 /** 購入時強制会員登録(1:有効　0:無効) */
Index: trunk/data/require_base.php
===================================================================
--- trunk/data/require_base.php	(revision 17439)
+++ trunk/data/require_base.php	(revision 18562)
@@ -67,5 +67,4 @@
 require_once(CLASS_PATH . "SC_CustomerList.php");
 require_once(CLASS_PATH . "SC_Cookie.php");
-require_once(CLASS_PATH . "SC_Pdf.php");
 require_once(CLASS_PATH . "SC_MobileUserAgent.php");
 require_once(CLASS_PATH . "SC_MobileEmoji.php");
